* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

@font-face {
  font-family: "HALFourGrotesk";
  src: url("./fonts/HALFourGrotesk-Regular.woff2") format("woff2");
  font-weight: 400;
}

@font-face {
  font-family: "SuisseNeue";
  src: url("./fonts/SuisseNeue-Light-WebS.woff2") format("woff2");
  font-weight: 300;
}

:root {
  --white: #ffffff;
  --gray: #d7cdc3;
  --black: #000000;
}

html {
  height: 100%;
}

body:after {
     background-color: rgba(1, 40, 55, 0.65);
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

body {
  color: var(--black);
  background-color: #fffef2;
  background-image: url('bg.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  padding: 1rem 0.75rem 1rem;
  display: grid;
  grid-template-rows: auto 1fr auto;
  outline: 2px solid red;
  height: 100%;
  font-family: "HALFourGrotesk", system-ui, sans-serif
}

header,main,footer {
  position: relative;
  z-index: 1;
}

h1 {
  font-size: inherit;
  font-weight: inherit;
}

a {
  color: inherit;
  text-decoration: none;
}

a:hover {
  color: #d7cdc3;
}

main {
  font-size: 5rem;
  line-height: 1;
  letter-spacing: -0.05625rem;
  max-width: 71.125rem;
  margin: 0 auto;
  text-align: center;
  place-self: center;
  font-family: "HALFourGrotesk", system-ui, sans-serif;
  mix-blend-mode: difference;
    color: var(--white);
}

header {
  font-size: 4rem;
  line-height: 1.194444;
  font-weight: 300;
  text-align: center;
      mix-blend-mode: difference;
    color: var(--white);
}

footer {
  font-size: 1.5rem;
  line-height: 1.222222;
  font-weight: 300;
  mix-blend-mode: difference;
    color: var(--white);
}

footer ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: grid;
  font-weight: 300;
  gap: 0.5rem;
}

footer ul li.center {
  place-self: center;
}

footer ul li.end {
  place-self: end;
}

@media only screen and (max-width: 768px) {
  footer ul {
    grid-template-columns: 1fr;
    text-align: center;
  }
  footer ul > li.end {
    place-self: center;
  }

  header,
  main {
    font-size: 2.3rem;
  }

  main {
    line-height: 1.1;
  }
}
